Return run history for a chain

Return run history for a chain#

Description#

Retrieves a list of run history for a chain.

GET /v1/execute/environment/{environment_id}/chain/{chain_id}/history

Parameters#

Parameter

In

Type

Required

Description

environment_id

path

string

true

The ID of the Environment.

chain_id

path

string

true

The ID of the Chain.

limit

query

string

false

Limit number of chainRuns returned (max 50).

cursor

query

string

false

Cursor value returned from the API, indicating page information.

start_date

query

string

false

Start Date (Unix timestamp).

end_date

query

string

false

End Date (Unix timestamp).

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/oc/api/v1/execute/environment/{environment_id}/chain/{chain_id}/history \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/oc/api/v1/execute/environment/{environment_id}/chain/{chain_id}/history \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/oc/api/v1/execute/environment/{environment_id}/chain/{chain_id}/history" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/oc/api/v1/execute/environment/{environment_id}/chain/{chain_id}/history', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a ChainRunPageResponse containing the ChainRunPage object for chain history.

Example Responses#

{
  "data": {
    "cursor": "string",
    "chainExecutors": [
      {
        "id": "1",
        "chainId": "37",
        "envId": "1154",
        "userId": "5",
        "userName": "dev23",
        "startAt": "2019-02-08 06:25:00",
        "endAt": "2019-02-12 06:25:00",
        "pausedAt": "2019-02-12 06:25:00",
        "resumedAt": "2019-02-12 06:25:00",
        "state": "sleeping",
        "launchType": "manual",
        "resultText": ""
      }
    ]
  }
}